- [HTTP request](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.discoveredWorkloads/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.discoveredWorkloads/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.discoveredWorkloads/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.discoveredWorkloads/list#body.request_body)
- [Response body](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.discoveredWorkloads/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.discoveredWorkloads/list#body.ListDiscoveredWorkloadsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.discoveredWorkloads/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.discoveredWorkloads/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.discoveredWorkloads/list#try-it)

Lists Discovered Workloads that can be added to an Application in a host project and location.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west10 europe-west12 europe-west1 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://apphub.googleapis.com/v1/{parent=projects/*/locations/*}/discoveredWorkloads`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Project and location to list Discovered Workloads on. Expected format: `projects/{project}/locations/{location}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |
| `filter` | `string` Optional. Filtering results. |
| `orderBy` | `string` Optional. Hint for how to order the results. |

### Request body

The request body must be empty.

### Response body

Response for discoveredWorkloads.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "discoveredWorkloads": [ { object (`https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.discoveredWorkloads#DiscoveredWorkload`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `discoveredWorkloads[]` | ``object (`https://docs.cloud.google.com/app-hub/docs/reference/rest/v1/projects.locations.discoveredWorkloads#DiscoveredWorkload`)`` List of Discovered Workloads. |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `apphub.discoveredWorkloads.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).